weka.classifiers.functions.explicitboundaries.combiners

## Class PotentialFunctionAsymetric

- java.lang.Object
- - weka.classifiers.functions.explicitboundaries.combiners.PotentialFunctionAsymetric

- All Implemented Interfaces:
    Serializable, PotentialFunction

      public class PotentialFunctionAsymetric
      extends Object
      implements PotentialFunction, Serializable

  Author:
    pawel
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PotentialFunctionAsymetric()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PotentialFunction` | `getPotential1()`
    `PotentialFunction` | `getPotential2()`
    `double` | `getPotentialValue(double x)` Calculates the potential value for x
    `void` | `setPotential1(PotentialFunction potential1)`
    `void` | `setPotential2(PotentialFunction potential2)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PotentialFunctionAsymetric

          public PotentialFunctionAsymetric()

  - ### Method Detail

    - #### getPotentialValue

          public double getPotentialValue(double x)
                                   throws Exception

      Description copied from interface: `PotentialFunction`
      Calculates the potential value for x
      Specified by:
        `getPotentialValue` in interface `PotentialFunction`
      Returns:
      Throws:
        `Exception`

    - #### getPotential1

          public PotentialFunction getPotential1()

      Returns:
        the potential1

    - #### setPotential1

          public void setPotential1(PotentialFunction potential1)

      Parameters:
        `potential1` - the potential1 to set

    - #### getPotential2

          public PotentialFunction getPotential2()

      Returns:
        the potential2

    - #### setPotential2

          public void setPotential2(PotentialFunction potential2)

      Parameters:
        `potential2` - the potential2 to set

Copyright © 2019. All Rights Reserved.